org.eclipse.rdf4j.query

## Class BooleanQueryResultHandlerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.OpenRDFException
        - - org.eclipse.rdf4j.RDF4JException
          - - org.eclipse.rdf4j.query.QueryResultHandlerException
            - - org.eclipse.rdf4j.query.BooleanQueryResultHandlerException

- All Implemented Interfaces:
    Serializable

      public class BooleanQueryResultHandlerException
      extends QueryResultHandlerException

  An exception that can be thrown by an BooleanQueryResultHandler when it encounters an unrecoverable error.
  Author:
    Peter Ansell
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanQueryResultHandlerException(String msg)` Creates a new BooleanQueryResultHandlerException.
    `BooleanQueryResultHandlerException(String msg, Throwable cause)` Creates a new BooleanQueryResultHandlerException wrapping another exception.
    `BooleanQueryResultHandlerException(Throwable cause)` Creates a new BooleanQueryResultHandlerException wrapping another exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanQueryResultHandlerException

          public BooleanQueryResultHandlerException(String msg)

      Creates a new BooleanQueryResultHandlerException.
      Parameters:
        `msg` - An error message.

    - #### BooleanQueryResultHandlerException

          public BooleanQueryResultHandlerException(Throwable cause)

      Creates a new BooleanQueryResultHandlerException wrapping another exception.
      Parameters:
        `cause` - The cause of the exception.

    - #### BooleanQueryResultHandlerException

          public BooleanQueryResultHandlerException(String msg,
                                                    Throwable cause)

      Creates a new BooleanQueryResultHandlerException wrapping another exception.
      Parameters:
        `msg` - An error message.
        `cause` - The cause of the exception.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.